### CONFIG

Here is the list of config parameters that can be defined under de `config` key of your `dedi_sylius_migration` configuration

##commit
**type**: `boolean`
**default**: `true`

This option disables the execution of queries on the target database. 

Event if you don't run `migrate-sql-execute` without the `dry-run` argument, the resulting statements will not be executed as long a `commit` is set to `false` 

Running the migration withotu commit enabled may result in error : the statements that create columns used by the migration will not be executed, resulting in error if you use said columns to check for duplicates in the target database

## debug_limit_statements
**type**: integer
**default**: `-1`

This parameter is used to limit the number of data that will be retrieved in the source database. 

It can be usefull to test your queries without the time needed to handle large datasets. 

The downside of this approach is that relationship may be broken as data needed for a relationship may not be imported.

If `debug_limit_statements` is set to `-1`, no `LIMIT` will be applied to the generated queries

### generate_relative_path_for_images
**type**: `boolean`
**default**: `true`

When using the `PathToSyliusImage` transformer, this parameters changes the way paths to images are generated. 

When set to `false`, the image path will be absolute, using the parameters `new_site_url` and `new_site_media_path` in combination. 

`generate_relative_path_for_images = true` > Path generated : `[new_site_media_path]/[path-to-image-from-legacy_site_media_path]`

`generate_relative_path_for_images = false` > Path generated : `[new_site_url]/[new_site_media_path]/[path-to-image-from-legacy_site_media_path]`

### legacy_site_url [REQUIRED]
**type**: `string`
**default**: `none`

Sets the URL of the legacy site to be searched and replaced by `new_site_url` (if `generate_relative_path_for_images` is set to `false`) or removed (if `generate_relative_path_for_images` is set to `true) when using the `PathToSyliusImage` Transformer

### legacy_site_media_path [REQUIRED]
**type**: `string`
**default**: `none`

Sets the media directory path of the legacy site to be searched and replaced by `new_site_media_path` when using the `PathToSyliusImage` transformer

### new_site_media_path
**type**: `string`
**default**: `legacy`

Sets the media directory path of the new site to replace `legacy_site_media_path` when using the `PathToSyliusImage` transformer

### new_site_url
**type**: `string`
**default**: `` (empty string)

Sets the URL of the new site to replace `legacy_site_url` if `generate_relative_path_for_images` is set to `false`