<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Config;

final class MigrationConfig
{
    private array $params = [];

    public function getParams(): array
    {
        return $this->params;
    }

    public function setParams(array $params): void
    {
        $this->params = $params;
    }

    public function setParam(string $key, $value)
    {
        $this->params[$key] = $value;
    }

    public function getParam(string $key)
    {
        return $this->params[$key];
    }

    public function isCommit(): bool
    {
        return $this->getParam('commit');
    }

    public function setCommit(bool $commit): void
    {
        $this->setParam('commit', $commit);
    }

    public function getDebugLimitStatements(): int
    {
        return $this->getParam('debug_limit_statements');
    }

    public function setDebugLimitStatements(int $debugLimitStatements): void
    {
        $this->setParam('debug_limit_statements', $debugLimitStatements);
    }

    public function isGenerateRelativePathForImages(): bool
    {
        return $this->getParam('generate_relative_path_for_images');
    }

    public function setGenerateRelativePathForImages(bool $generateRelativePathForImages): void
    {
        $this->setParam('generate_relative_path_for_images', $generateRelativePathForImages);
    }

    public function getLegacySiteUrl(): string
    {
        return $this->getParam('legacy_site_url');
    }

    public function setLegacySiteUrl(string $legacySiteUrl): void
    {
        $this->setParam('legacy_site_url', $legacySiteUrl);
    }

    public function getNewSiteUrl(): string
    {
        return $this->getParam('new_site_url');
    }

    public function setNewSiteUrl(string $newSiteUrl): void
    {
        $this->setParam('new_site_url', $newSiteUrl);
    }

    public function getLegacySiteMediaPath(): string
    {
        return $this->getParam('legacy_site_media_path');
    }

    public function setLegacySiteMediaPath(string $legacySiteMediaPath): void
    {
        $this->setParam('legacy_site_media_path', $legacySiteMediaPath);
    }

    public function getNewSiteMediaPath(): string
    {
        return $this->getParam('new_site_media_path');
    }

    public function setNewSiteMediaPath(string $newSiteMediaPath): void
    {
        $this->setParam('new_site_media_path', $newSiteMediaPath);
    }
}
