<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class SearchMappingDefinition
{
    private string $searchColumn;
    private string $valueColum;
    private string $type;

    private function __construct(string $searchColumn, string $valueColum, string $type)
    {
        $this->searchColumn = $searchColumn;
        $this->valueColum = $valueColum;
        $this->type = $type;
    }

    public function getSearchColumn(): string
    {
        return $this->searchColumn;
    }

    public function getValueColum(): string
    {
        return $this->valueColum;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public static function fromArray(array $data): self
    {
        return new self($data['search_column'], $data['value_column'], $data['type']);
    }
}
