<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

use Dedi\SyliusMigrationPlugin\Config\MigrationConfig;

class PathToSyliusImage implements TransformerInterface
{
    private MigrationConfig $config;

    public function __construct(
        MigrationConfig $config
    ) {
        $this->config = $config;
    }

    public function getType(): string
    {
        return 'path-to-sylius-image';
    }

    public function execute($data)
    {
        $sslChunk = $this->config->isGenerateRelativePathForImages() ? '' : 'https://';
        $urlChunk = $this->config->isGenerateRelativePathForImages() ? '' : $this->config->getNewSiteUrl();

        $data = str_replace([
            'https://',
            'http://',
            $this->config->getLegacySiteUrl(),
            $this->config->getLegacySiteMediaPath(),
        ], [
            $sslChunk,
            $sslChunk,
            $urlChunk,
            $this->config->getNewSiteMediaPath(),
        ], $data);

        if ($this->config->isGenerateRelativePathForImages()) {
            $data = trim($data, \DIRECTORY_SEPARATOR);
        }

        return $data;
    }
}
